openapi: 3.0.0
info:
  version: WEBSITE
  title: 
  description: Website Integration
servers:
  - url: http://localhost:8094/
paths:
  /SOIWeb:
    get:
      description: ''
      operationId: 'getSOIWeb'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SOIWebCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    post:
      description: ''
      operationId: 'createNewSOIWeb'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SOIWeb_Write'
      responses:
        200:
          description: The post was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /SOIWeb/{id}:
    get:
      description: ''
      operationId: 'getSOIWebById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SOIWeb'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductAddition:
    get:
      description: ''
      operationId: 'getProductAddition'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductAdditionCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductAddition/{id}:
    get:
      description: ''
      operationId: 'getProductAdditionById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductAddition'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductStockLevel:
    get:
      description: ''
      operationId: 'getProductStockLevel'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductStockLevelCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductStockLevel/{id}:
    get:
      description: ''
      operationId: 'getProductStockLevelById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductStockLevel'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductRemoval:
    get:
      description: ''
      operationId: 'getProductRemoval'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductRemovalCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductRemoval/{id}:
    get:
      description: ''
      operationId: 'getProductRemovalById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductRemoval'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductChanges:
    get:
      description: ''
      operationId: 'getProductChanges'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductChangesCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ProductChanges/{id}:
    get:
      description: ''
      operationId: 'getProductChangesById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ProductChanges'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /AddProduct:
    get:
      description: ''
      operationId: 'getAddProduct'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/AddProductCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /AddProduct/{id}:
    get:
      description: ''
      operationId: 'getAddProductById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/AddProduct'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ModifiedProduct:
    get:
      description: ''
      operationId: 'getModifiedProduct'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ModifiedProductCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /ModifiedProduct/{id}:
    get:
      description: ''
      operationId: 'getModifiedProductById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/ModifiedProduct'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
  /SalesOrderWeb:
    get:
      description: ''
      operationId: 'getSalesOrderWeb'
      parameters:
        - in: query
          name: createdon
          description: The date the item was created
          required: false
          schema:
            type: string
            format: date
        - in: query
          name: updatedon
          description: The date the item was last updated
          required: false
          schema:
            type: string
            format: date
      responses:
        200:
          description: A paged collection of items including a total count of matches
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderWebCollection'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
    post:
      description: ''
      operationId: 'createNewSalesOrderWeb'
      requestBody:
        description: ''
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SalesOrderWeb_Write'
      responses:
        200:
          description: The post was successful
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/PostResponse'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
  /SalesOrderWeb/{id}:
    get:
      description: ''
      operationId: 'getSalesOrderWebById'
      parameters:
        - in: path
          name: id
          description: 'The ID of the item'
          required: true
          schema:
            type: integer
      responses:
        200:
          description: A single 
          content: 
            application/json:
              schema:
                $ref: '#/components/schemas/SalesOrderWeb'
        403:
          description: A security issue occured, an incorrect API key is the most likely cause
        400:
          description: An incorrect query parameter or condition
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
  schemas:
    PostResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    PutResponse:
      type: object
      properties:
        Status:
          type: string
        Message:
          type: string
        QueueEntryId:
          type: integer
        Data:
          type: array
          items:
            type: object
            properties:
              Id:
                type: integer
              TypeName:
                type: string
              Info:
                type: string
    SOIWeb:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Date:
          type: string
          format: date
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Quantity:
                type: number
              GrossPrice:
                type: number
              TaxableAmount:
                type: number
              SkipStockUpdate:
                type: boolean
              GrossPriceDiscountAmount:
                type: number
              LookupProductCode:
                type: string
              PriceSource:
                type: string
        ReceiptType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        InvoiceType:
          type: string
        PreviouslyFullyPaid:
          type: boolean
        SalesRep:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Branch:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        Promotion:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
            Code:
              type: string
        AlternateReference:
          type: string
    SOIWeb_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Customer:
          type: number
        Date:
          type: string
          format: date
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Quantity:
                type: number
              GrossPrice:
                type: number
              TaxableAmount:
                type: number
              SkipStockUpdate:
                type: boolean
              GrossPriceDiscountAmount:
                type: number
              LookupProductCode:
                type: string
              PriceSource:
                type: string
        ReceiptType:
          type: number
        InvoiceType:
          type: string
        PreviouslyFullyPaid:
          type: boolean
        SalesRep:
          type: number
        Branch:
          type: number
        Promotion:
          type: number
        AlternateReference:
          type: string
    SOIWebCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SOIWeb'
    ProductAddition:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Product:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
            Code:
              type: string
            D_SellOnWebsite:
              type: boolean
            SellingGrossPrice1:
              type: number
        ISBN13:
          type: string
        FTS:
          type: string
        UKNBDLPD:
          type: string
          format: date
        CNI1:
          type: string
        CNI2:
          type: string
        PAGNUM:
          type: string
        PUBN:
          type: string
        BIC2ST1:
          type: string
        BIC2ST2:
          type: string
        BIC2ST3:
          type: string
        NBDSD:
          type: string
        _SystemImages:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
        GBPCCPRRRP:
          type: string
        HMM:
          type: number
        WMM:
          type: number
        WG:
          type: number
        SN:
          type: string
        NWS:
          type: string
    ProductAddition_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Product:
          type: number
        ISBN13:
          type: string
        FTS:
          type: string
        UKNBDLPD:
          type: string
          format: date
        CNI1:
          type: string
        CNI2:
          type: string
        PAGNUM:
          type: string
        PUBN:
          type: string
        BIC2ST1:
          type: string
        BIC2ST2:
          type: string
        BIC2ST3:
          type: string
        NBDSD:
          type: string
        _SystemImages:
          type: number
        GBPCCPRRRP:
          type: string
        HMM:
          type: number
        WMM:
          type: number
        WG:
          type: number
        SN:
          type: string
        NWS:
          type: string
    ProductAdditionCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductAddition'
    ProductStockLevel:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        P_HeadOfficeBranchStatistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AvailableStockLevel:
              type: number
            LastMovement:
              type: string
              format: date
            OutstandingPurchaseOrders:
              type: number
            CALC_GoodStock:
              type: number
        P_CurrentBranchStatistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            LastMovement:
              type: string
              format: date
        P_NUTG_BranchStatistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AvailableStockLevel:
              type: number
        P_STL2_BranchStatistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AvailableStockLevel:
              type: number
        Statistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AvailableStockLevel:
              type: number
    ProductStockLevel_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        P_HeadOfficeBranchStatistics:
          type: number
        P_CurrentBranchStatistics:
          type: number
        P_NUTG_BranchStatistics:
          type: number
        P_STL2_BranchStatistics:
          type: number
        Statistics:
          type: number
    ProductStockLevelCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductStockLevel'
    ProductRemoval:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        Category:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        SupersededBy:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
            Code:
              type: string
    ProductRemoval_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        Category:
          type: number
        SupersededBy:
          type: number
    ProductRemovalCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductRemoval'
    ProductChanges:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        ISBN13:
          type: string
        Product:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
            Code:
              type: string
            D_SellOnWebsite:
              type: boolean
            SellingGrossPrice1:
              type: number
        FTS:
          type: string
        UKNBDLPD:
          type: string
          format: date
        CNI1:
          type: string
        CNI2:
          type: string
        PAGNUM:
          type: string
        NBDSD:
          type: string
        _SystemImages:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
    ProductChanges_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        ISBN13:
          type: string
        Product:
          type: number
        FTS:
          type: string
        UKNBDLPD:
          type: string
          format: date
        CNI1:
          type: string
        CNI2:
          type: string
        PAGNUM:
          type: string
        NBDSD:
          type: string
        _SystemImages:
          type: number
    ProductChangesCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ProductChanges'
    AddProduct:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        D_WebsiteTitle:
          type: string
        D_PublicationDate:
          type: string
          format: date
        D_Author:
          type: string
        D_NumberOfPages:
          type: number
        D_Publisher:
          type: string
        D_Synopsis:
          type: string
        _SystemImages:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
        SellingGrossPrice1:
          type: number
        Measurements:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Height:
              type: number
            Width:
              type: number
            GrossWeight:
              type: number
            Length:
              type: number
        D_SeriesName:
          type: string
        D_SeriesNumber:
          type: string
        D_NielsenRRP:
          type: string
        D_BookFormat:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        D_WebCategory1:
          type: string
        D_WebCategory2:
          type: string
        D_WebCategory3:
          type: string
        P_HO_BranchStatistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            AvailableStockLevel:
              type: number
            CALC_GoodStock:
              type: number
        SellingPrice1:
          type: number
        Selling:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            DefaultTaxRate:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Description:
                  type: string
                Rate:
                  type: number
        D_WindowDate:
          type: string
          format: date
        D_ChartNumber:
          type: number
        D_Author2:
          type: string
        D_EmbargoDate:
          type: string
          format: date
        D_ProCode:
          type: string
        D_WebPrice:
          type: number
        D_Imprint:
          type: string
        D_FrontOfStore:
          type: boolean
        D_NielsenThema:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
            Parent1Description:
              type: string
            Parent2Description:
              type: string
            Parent3Description:
              type: string
            Parent1:
              type: string
            Parent2:
              type: string
            Parent3:
              type: string
        D_NielsenThema2:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
            Parent1Description:
              type: string
            Parent2Description:
              type: string
            Parent3Description:
              type: string
            Parent1:
              type: string
            Parent2:
              type: string
            Parent3:
              type: string
        Category:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Group:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Description:
                  type: string
                Code:
                  type: string
            Code:
              type: string
            Description:
              type: string
        StockingStatus:
          type: string
        Description:
          type: string
    AddProduct_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        D_WebsiteTitle:
          type: string
        D_PublicationDate:
          type: string
          format: date
        D_Author:
          type: string
        D_NumberOfPages:
          type: number
        D_Publisher:
          type: string
        D_Synopsis:
          type: string
        _SystemImages:
          type: number
        SellingGrossPrice1:
          type: number
        Measurements:
          type: number
        D_SeriesName:
          type: string
        D_SeriesNumber:
          type: string
        D_NielsenRRP:
          type: string
        D_BookFormat:
          type: number
        D_WebCategory1:
          type: string
        D_WebCategory2:
          type: string
        D_WebCategory3:
          type: string
        P_HO_BranchStatistics:
          type: number
        SellingPrice1:
          type: number
        Selling:
          type: number
        D_WindowDate:
          type: string
          format: date
        D_ChartNumber:
          type: number
        D_Author2:
          type: string
        D_EmbargoDate:
          type: string
          format: date
        D_ProCode:
          type: string
        D_WebPrice:
          type: number
        D_Imprint:
          type: string
        D_FrontOfStore:
          type: boolean
        D_NielsenThema:
          type: number
        D_NielsenThema2:
          type: number
        Category:
          type: number
        StockingStatus:
          type: string
        Description:
          type: string
    AddProductCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/AddProduct'
    ModifiedProduct:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        SellingGrossPrice1:
          type: number
        D_WebsiteTitle:
          type: string
        D_PublicationDate:
          type: string
          format: date
        D_Author:
          type: string
        D_NumberOfPages:
          type: number
        D_Synopsis:
          type: string
        _SystemImages:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
        D_NielsenRRP:
          type: string
        D_NielsenThema:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
            Parent1Description:
              type: string
            Parent2Description:
              type: string
            Parent3Description:
              type: string
            Parent1:
              type: string
            Parent2:
              type: string
            Parent3:
              type: string
        D_NielsenThema2:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Parent1Description:
              type: string
            Parent2Description:
              type: string
            Description:
              type: string
            Parent1:
              type: string
            Parent2:
              type: string
            Parent3:
              type: string
        D_EmbargoDate:
          type: string
          format: date
        D_ChartNumber:
          type: number
        D_FrontOfStore:
          type: boolean
        D_ProCode:
          type: string
        Category:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Group:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Description:
                  type: string
                Code:
                  type: string
            Code:
              type: string
            Description:
              type: string
        D_Imprint:
          type: string
        Selling:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            DefaultTaxRate:
              type: object
              properties:
                ID:
                  type: integer
                  format: int64
                UpdatedOn:
                  type: string
                  format: date
                CreatedOn:
                  type: string
                  format: date
                Code:
                  type: string
                Description:
                  type: string
                Rate:
                  type: number
        D_SeriesName:
          type: string
        D_SeriesNumber:
          type: string
        D_Publisher:
          type: string
        D_SellOnWebsite:
          type: boolean
        Measurements:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Height:
              type: number
            Width:
              type: number
            Length:
              type: number
            GrossWeight:
              type: number
        SupersededBy:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Description:
              type: string
            Code:
              type: string
        P_HO_BranchStatistics:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            CALC_GoodStock:
              type: number
    ModifiedProduct_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Description:
          type: string
        Code:
          type: string
        D_SellOnWebsite:
          type: boolean
        SellingGrossPrice1:
          type: number
        D_WebsiteTitle:
          type: string
        D_PublicationDate:
          type: string
          format: date
        D_Author:
          type: string
        D_NumberOfPages:
          type: number
        D_Synopsis:
          type: string
        _SystemImages:
          type: number
        D_NielsenRRP:
          type: string
        D_NielsenThema:
          type: number
        D_NielsenThema2:
          type: number
        D_EmbargoDate:
          type: string
          format: date
        D_ChartNumber:
          type: number
        D_FrontOfStore:
          type: boolean
        D_ProCode:
          type: string
        Category:
          type: number
        D_Imprint:
          type: string
        Selling:
          type: number
        D_SeriesName:
          type: string
        D_SeriesNumber:
          type: string
        D_Publisher:
          type: string
        D_SellOnWebsite:
          type: boolean
        Measurements:
          type: number
        SupersededBy:
          type: number
        P_HO_BranchStatistics:
          type: number
    ModifiedProductCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/ModifiedProduct'
    SalesOrderWeb:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Customer:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Name:
              type: string
        Date:
          type: string
          format: date
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
              Quantity:
                type: number
              GrossPrice:
                type: number
              TaxableAmount:
                type: number
              GrossPriceDiscountAmount:
                type: number
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: object
                properties:
                  ID:
                    type: integer
                    format: int64
                  UpdatedOn:
                    type: string
                    format: date
                  CreatedOn:
                    type: string
                    format: date
                  Code:
                    type: string
                  Description:
                    type: string
        OrderType:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        AlternateReference:
          type: string
        DeliveryMethod:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
        DeliveryAgent:
          type: object
          properties:
            ID:
              type: integer
              format: int64
            UpdatedOn:
              type: string
              format: date
            CreatedOn:
              type: string
              format: date
            Code:
              type: string
            Description:
              type: string
    SalesOrderWeb_Write:
      type: object
      properties:
        ID:
          type: integer
          format: int64
        UpdatedOn:
          type: string
          format: date
        CreatedOn:
          type: string
          format: date
        Number:
          type: string
        Customer:
          type: number
        Date:
          type: string
          format: date
        Items:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              Product:
                type: number
              Quantity:
                type: number
              GrossPrice:
                type: number
              TaxableAmount:
                type: number
              GrossPriceDiscountAmount:
                type: number
        Receipts:
          type: array
          items:
            type: object
            properties:
              ID:
                type: integer
                format: int64
              UpdatedOn:
                type: string
                format: date
              CreatedOn:
                type: string
                format: date
              ReceiptType:
                type: number
        OrderType:
          type: number
        AlternateReference:
          type: string
        DeliveryMethod:
          type: number
        DeliveryAgent:
          type: number
    SalesOrderWebCollection:
      type: object
      properties:
        TotalCount:
          type: integer
        Data:
          type: array
          items:
            $ref: '#/components/schemas/SalesOrderWeb'
security:
  - apiKey: []
